
// ********** Consolidated new shaders for Dragonne (many id replacements) **********
// ********** Common

textures/mikec/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/mikec/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

// ********** Lights

textures/mikec/light_ceiling
{
	qer_editorimage textures/mikec/light_ceiling.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_ceiling.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_ceiling_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_ceiling_teal
{
	qer_editorimage textures/mikec/light_ceiling_teal.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_ceiling_teal.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_ceiling_teal_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/mikec/light_ceiling_blue
{
	qer_editorimage textures/mikec/light_ceiling_blue.tga
	q3map_lightimage textures/mikec/light_ceiling_blue_blend.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_ceiling_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_ceiling_blue_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/mikec/light_ceiling_red
{
	qer_editorimage textures/mikec/light_ceiling_red.tga
	q3map_lightimage textures/mikec/light_ceiling_red_blend.tga
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_ceiling_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_ceiling_red_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_industrial_01d
{
	qer_editorimage textures/mikec/light_industrial_01d.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_industrial_01d_5k
{
	qer_editorimage textures/mikec/light_industrial_01d.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_industrial_02d
{
	qer_editorimage textures/mikec/light_industrial_02d.tga
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_02d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_02d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_industrial_02d_5k
{
	qer_editorimage textures/mikec/light_industrial_02d.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_02d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_02d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_industrial_03d
{
	qer_editorimage textures/mikec/light_industrial_03d.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_03d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_03d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_industrial_04d
{
	qer_editorimage textures/mikec/light_industrial_04d.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_04d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_04d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_industrial_05d
{
	qer_editorimage textures/mikec/light_industrial_05d.tga
	q3map_surfacelight 3500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_05d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_industrial_05d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_spot_01d
{
	qer_editorimage textures/mikec/light_spot_01d.tga
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_spot_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_spot_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_spot_01d_15k
{
	qer_editorimage textures/mikec/light_spot_01d.tga
	q3map_surfacelight 15000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_spot_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_spot_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_spot_21d
{
	qer_editorimage textures/mikec/light_spot_01d.tga
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_spot_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mikec/light_spot_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mikec/light_red01d
{
	q3map_lightimage textures/mikec/light_red.tga
	qer_editorimage textures/mikec/light_red.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_red.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/mikec/light_red.tga
		blendFunc add
	}
}

textures/mikec/light_redflash01d
{
	q3map_lightimage textures/mikec/light_red.tga
	qer_editorimage textures/mikec/light_red.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_red.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/mikec/light_red.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
}

textures/mikec/light_white
{
	q3map_lightimage textures/mikec/light_white.tga
	qer_editorimage textures/mikec/light_white.tga
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_white.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/mikec/light_white.tga
		blendFunc add
	}
}

textures/mikec/light_white_5k
{
	q3map_lightimage textures/mikec/light_white.tga
	qer_editorimage textures/mikec/light_white.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_white.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/mikec/light_white.tga
		blendFunc add
	}
}

textures/mikec/light_halogen01d
{
	q3map_lightimage textures/mikec/light_halogen01d.tga
	qer_editorimage textures/mikec/light_halogen01d.tga
	q3map_surfacelight 7500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mikec/light_halogen01d.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/mikec/light_halogen01d_blend.tga
		blendFunc add
	}
}

// ********** Camera and Mirror Portals

textures/mikec/security_monitor01d
{
	qer_editorimage textures/mikec/security_monitor01d.tga
	portal
	surfaceparm nolightmap
	{
//		map textures/mikec/static1.tga
		animMap 20 textures/mikec/static1.tga textures/mikec/static2.tga textures/mikec/static3.tga textures/mikec/static4.tga
		AlphaGen portal 1024
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/mikec/security_monitor01d.tga
		blendfunc blend
		depthWrite
	}
}

textures/mikec/mirror
{
	qer_editorimage textures/mikec/mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/mikec/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

// ********** Glass/Transparents

textures/mikec/glass_clear
{
	qer_editorimage textures/effects/tinfx2.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap

	{
		map textures/effects/tinfx2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mikec/glass_opaque
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap

	{
		map textures/effects/tinfx2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/mapobjects/br_shipping/br_shrinkwrap
{
	qer_editorimage models/mapobjects/br_shipping/br_shrinkwrap.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap

	{
		map models/mapobjects/br_shipping/br_shrinkwrap.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc LT128
		rgbGen identity
	}
}

// ********** Metals

textures/mikec/ladder_01d
{
        qer_editorimage textures/mikec/ladder_01d.tga
	qer_trans 0.75
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/mikec/ladder_01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mikec/grate_metal01d
{
	qer_editorimage textures/mikec/grate_metal01d.tga
        surfaceparm trans
	cull none
        nopicmip

	{
		map textures/mikec/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mikec/truefence
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	qer_trans 0.75
	cull none
	nopicmip

	{
		map textures/mikec/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ********** Liquids/Fog

textures/mikec/water_ripple
{
	qer_editorimage textures/mikec/water_pool2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/mikec/water_pool1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/mikec/water_pool2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/mikec/water_pool3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/mikec/water_ripple_blue
{
	qer_editorimage textures/mikec/water_pool_blue2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/mikec/water_pool_blue1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/mikec/water_pool_blue2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/mikec/water_pool_blue3.tga
		blendFunc filter
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/mikec/water_flow_blue
{
	qer_editorimage textures/mikec/water_flow_blue2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/mikec/water_flow_blue1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll -.2 -.5
	}
	{ 
		map textures/mikec/water_flow_blue2.tga
		blendFunc filter
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll -.15 -.6
	}
	{ 
		map textures/mikec/water_flow_blue3.tga
		blendFunc GL_dst_color GL_one
//		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .1 -.4
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/mikec/water_flow_blue_smooth
{
	qer_editorimage textures/mikec/water_flow_blue2.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	{ 
		map textures/mikec/water_flow_blue1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll 0 -1.6
	}
	{ 
		map textures/mikec/water_flow_blue2.tga
		blendFunc filter
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll 0 -1.5
	}
	{ 
		map textures/mikec/water_flow_blue3.tga
		blendFunc GL_dst_color GL_one
//		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll 0 -1.25
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/mikec/fog_blue
{
	qer_editorimage textures/mikec/fog_blue.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	nolightmap
	qer_nocarve
	surfaceparm fog
	fogparms ( .02 .05 .40 ) 256
}

// ********** Decals

textures/mikec/splat1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat1.tga

	{
         map textures/mikec/splat1.tga
	   blendfunc filter
	}
}

textures/mikec/splat2
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat2.tga

	{
         map textures/mikec/splat2.tga
	   blendfunc filter
	}
}

textures/mikec/splat3
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat3.tga

	{
         map textures/mikec/splat3.tga
	   blendfunc filter
	}
}

textures/mikec/splat4
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat4.tga

	{
         map textures/mikec/splat4.tga
	   blendfunc filter
	}
}

textures/mikec/splat5
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat5.tga

	{
         map textures/mikec/splat5.tga
	   blendfunc filter
	}
}

textures/mikec/splat6
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat6.tga

	{
         map textures/mikec/splat6.tga
	   blendfunc filter
	}
}

textures/mikec/splat7
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat7.tga

	{
         map textures/mikec/splat7.tga
	   blendfunc filter
	}
}

textures/mikec/splat8
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat8.tga

	{
         map textures/mikec/splat8.tga
	   blendfunc filter
	}
}

textures/mikec/splat9
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat9.tga

	{
         map textures/mikec/splat9.tga
	   blendfunc filter
	}
}

textures/mikec/splat_die
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_die.tga

	{
         map textures/mikec/splat_die.tga
	   blendfunc filter
	}
}

textures/mikec/splat_dirt
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_dirt.tga

	{
         map textures/mikec/splat_dirt.tga
	   blendfunc filter
	}
}

textures/mikec/splat_triad
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_triad.tga

	{
         map textures/mikec/splat_triad.tga
	   blendfunc filter
	}
}

textures/mikec/splat_black1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_black1.tga

	{
         map textures/mikec/splat_black1.tga
	   blendfunc filter
	}
}

textures/mikec/splat_black2
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_black2.tga

	{
         map textures/mikec/splat_black2.tga
	   blendfunc filter
	}
}

textures/mikec/splat_black3
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_black3.tga

	{
         map textures/mikec/splat_black3.tga
	   blendfunc filter
	}
}

textures/mikec/splat_black4
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_black4.tga

	{
         map textures/mikec/splat_black4.tga
	   blendfunc filter
	}
}

textures/mikec/splat_manhole1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/splat_manhole1.tga
	{
	map textures/mikec/splat_manhole1.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	alphaGen vertex 
	}
}

textures/mikec/skid1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/skid1.tga

	{
         map textures/mikec/skid1.tga
	   blendfunc filter
	}
}

textures/mikec/skid2
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/mikec/skid2.tga

	{
         map textures/mikec/skid2.tga
	   blendfunc filter
	}
}
